## r-cran-gwidgetstcltk 0.0

=== DESCRIPTION ===
Package: gWidgetstcltk
Version: 0.0-55
Title: Toolkit implementation of gWidgets for tcltk package
Author: John Verzani
Maintainer: John Verzani <jverzani@gmail.com>
Depends: R (>= 2.14.0), methods, gWidgets(>= 0.0.51), tcltk(>= 2.7.0),
        digest
Suggests:
Description: Port of the gWidgets API to the tcltk package. Requires Tk 8.5 or greater.
License: GPL (>= 2)
URL: http://gwidgets.r-forge.r-project.org/
LazyLoad: yes
Packaged: 2014-07-20 19:16:46 UTC; verzani
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2014-07-20 22:19:03

## r-cran-gwidgetstcltk 0.0-55

=== debian/changelog ===
r-cran-gwidgetstcltk (0.0-55-2) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Fix path in d/copyright - spotted by FTPadmin Thorsten - Thanks!

  [ Dylan Aïssi ]
  * Fix typo in deps. (closes: #953225)
  * Add xvfb, xauth and xfonts-base to build-deps

 -- Dylan Aïssi <daissi@debian.org>  Sun, 05 Apr 2020 22:14:01 +0200

r-cran-gwidgetstcltk (0.0-55-1) unstable; urgency=medium

  * Initial release (closes: #949447)

 -- Steffen Moeller <moeller@debian.org>  Mon, 20 Jan 2020 23:33:56 +0100

=== debian/control ===
Source: r-cran-gwidgetstcltk
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-gwidgets,
               xvfb,
               xauth,
               xfonts-base
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gwidgetstcltk
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gwidgetstcltk.git
Homepage: https://cran.r-project.org/package=gWidgetstcltk

Package: r-cran-gwidgetstcltk
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Toolkit implementation of gWidgets for tcltk package
 Port of the gWidgets API to the tcltk package. Requires Tk 8.5 or greater.

## r-cran-gwidgetstcltk 0.0-55.1

=== debian/changelog ===
r-cran-gwidgetstcltk (0.0-55.1-3) unstable; urgency=medium

  * Team upload.
  * Pass "-a" to xvfb-run in autopkgtests for improved robustness
    (Closes: #962280)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 05 Jun 2020 16:11:01 +0200

r-cran-gwidgetstcltk (0.0-55.1-2) unstable; urgency=medium

  * Team upload.
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 20:06:03 +0200

r-cran-gwidgetstcltk (0.0-55.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 04 May 2020 08:58:27 +0200

r-cran-gwidgetstcltk (0.0-55-3) unstable; urgency=medium

  * Team upload.
  * Disable Testsuite: autopkgtest-pkg-r which needs xvfb-run.
  * Use xvfb-run for autopkgtest.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 17 Apr 2020 11:34:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
+               r-cran-gwidgets (>= 0.0-51),
                r-cran-digest,
-               r-cran-gwidgets,
                xvfb,
                xauth,
                xfonts-base
@@ -16,6 +15,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gwidgetstcltk
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gwidgetstcltk.git
 Homepage: https://cran.r-project.org/package=gWidgetstcltk
+Rules-Requires-Root: no
 
 Package: r-cran-gwidgetstcltk
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, xvfb, xauth, xfonts-base, r-cran-runit
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/gWidgetstcltk_([-\d.]*)\.tar\.gz
